# Need to access symbols from the X Server and other dlopen'ed modules
%define _disable_ld_no_undefined 1

Name: x11-driver-video-vesa
Version: 2.6.0
Release: %mkrel 1
Summary: X.org driver for Generic VESA Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.xz
# Backports from "master" upstream:

License: MIT

ExclusiveArch: %{ix86} x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Obsoletes: x11-driver-video-vga
Obsoletes: x11-driver-video-vermilion

%description
x11-driver-video-vesa is the X.org driver for Generic VESA Cards.

%prep
%setup -q -n xf86-video-vesa-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4*




%changelog
* Thu Dec 15 2022 luigiwalser <luigiwalser> 2.6.0-1.mga9
+ Revision: 1922661
- 2.6.0
- remove upstream patch

* Thu Apr 28 2022 tv <tv> 2.5.0-4.mga9
+ Revision: 1854891
- Fix vesa crash with simpledrm driver (rhbz#2074789)

* Fri Apr 01 2022 umeabot <umeabot> 2.5.0-3.mga9
+ Revision: 1837980
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 tmb <tmb> 2.5.0-2.mga9
+ Revision: 1748571
- rebuild for updated xserver-abi

* Wed Dec 30 2020 luigiwalser <luigiwalser> 2.5.0-1.mga8
+ Revision: 1666289
- remove upstreamed patch
+ tv <tv>
- 2.5.0
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 2.4.0-4.mga8
+ Revision: 1518580
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.4.0-3.mga7
+ Revision: 1301779
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 2.4.0-2.mga7
+ Revision: 1207649
- rebuild for xserver 1.20 RC1

* Sat Feb 17 2018 tmb <tmb> 2.4.0-1.mga7
+ Revision: 1202128
- update to 2.4.0
  * drop merged p1,p2

* Thu Nov 17 2016 tv <tv> 2.3.4-8.mga6
+ Revision: 1067627
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 2.3.4-7.mga6
+ Revision: 1043300
- rebuild for xorg-server 1.18.4

* Tue Jul 05 2016 tmb <tmb> 2.3.4-6.mga6
+ Revision: 1038949
- sync in fixes from upstream git

* Fri May 27 2016 tv <tv> 2.3.4-5.mga6
+ Revision: 1018887
- turn shadowfb off on virtualized hardware (faster)
- only build on arches where xserver builds VBE support

* Wed Feb 17 2016 umeabot <umeabot> 2.3.4-4.mga6
+ Revision: 963446
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 2.3.4-3.mga6
+ Revision: 902275
- submit to core/release

* Tue Nov 10 2015 tv <tv> 2.3.4-2.mga6
+ Revision: 901414
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 2.3.4-1.mga6
+ Revision: 836044
- new release

* Sat Jun 20 2015 tv <tv> 2.3.3-9.mga6
+ Revision: 835918
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 2.3.3-8.mga5
+ Revision: 745489
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.3-7.mga5
+ Revision: 690468
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 2.3.3-6.mga5
+ Revision: 634991
- submit to core/release

* Fri Jun 06 2014 tv <tv> 2.3.3-5.mga5
+ Revision: 633653
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 2.3.3-4.mga5
+ Revision: 614330
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 2.3.3-3.mga5
+ Revision: 582181
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 2.3.3-2.mga4
+ Revision: 534390
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 tv <tv> 2.3.3-1.mga4
+ Revision: 477774
- new release
- drop patch 0 (merged)

* Thu May 30 2013 tv <tv> 2.3.2-4.mga4
+ Revision: 433127
- submit to core/release

* Fri May 24 2013 tv <tv> 2.3.2-3.mga4
+ Revision: 425711
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-3.mga3
+ Revision: 386038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 2.3.2-2.mga3
+ Revision: 288939
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 2.3.2-1.mga3
+ Revision: 273755
- new release

* Wed Jun 06 2012 tmb <tmb> 2.3.1-3.mga3
+ Revision: 256511
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 2.3.1-2.mga3
+ Revision: 252971
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.3.1-1.mga3
+ Revision: 249789
- new release

* Tue Dec 06 2011 tmb <tmb> 2.3.0-9.mga2
+ Revision: 177485
- submit to core/release

* Sat Oct 08 2011 tv <tv> 2.3.0-8.mga2
+ Revision: 153307
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 2.3.0-7.mga2
+ Revision: 153091
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 2.3.0-6.mga1
+ Revision: 64423
- rebuild for new xserver-1.10

* Sun Jan 23 2011 blino <blino> 2.3.0-5.mga1
+ Revision: 35272
- imported package x11-driver-video-vesa


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 2.3.0-5mdv2011.0
+ Revision: 595708
- new release

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 2.3.0-4mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Wed Feb 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.3.0-3mdv2010.1
+ Revision: 507238
- Obsolete x11-driver-video-vermilion

* Fri Feb 12 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.3.0-2mdv2010.1
+ Revision: 504708
- Obsolete vga driver

* Tue Jan 05 2010 Thierry Vignaud <tv@mandriva.org> 2.3.0-1mdv2010.1
+ Revision: 486392
- new release

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 2.2.1-2mdv2010.1
+ Revision: 464336
- rebuild for new xserver

* Sun Aug 02 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.1-1mdv2010.0
+ Revision: 407497
- Update to new version 2.2.1
  _ Use %%configure2_5x macro to fix build

* Wed Feb 18 2009 Thierry Vignaud <tv@mandriva.org> 2.2.0-1mdv2009.1
+ Revision: 342280
- new release

* Wed Dec 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.0-1mdv2009.1
+ Revision: 321579
- update to new version 2.1.0

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.0-1mdv2009.1
+ Revision: 308211
- drop the X server 1.4 patch now we're using X server 1.5
- rebuild for new X server
- new release 2.0.0

* Wed Jun 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.99.1-2mdv2009.0
+ Revision: 225752
- Added _disable_ld_no_undefined because the driver accesses symbols from
  the X Server and other dlopen'ed modules.
- Revert to a version that works with X Server 1.4 branch.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.99.1-1mdv2009.0
+ Revision: 219400
- new release (and drop git patches)
- improved description
- add missing dot at end of description
- improved summary

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-7mdv2008.1
+ Revision: 166183
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-6mdv2008.1
+ Revision: 156627
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-5mdv2008.1
+ Revision: 154786
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to properly use existing tag xf86-video-vesa-1.3.0, and generated
  patches from that point, up to mandriva branch.
- Update for new policy of hidden symbols and common macros.
--
  Deleted patches are already applied in master.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-4mdv2008.1
+ Revision: 99059
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 09 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0-3mdv2008.0
+ Revision: 60881
- Replace the randr fix by the proper fix done upstream
- Add one more fix removing mfb code


* Tue Feb 13 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0-2mdv2007.0
+ Revision: 120629
- fix a crash / screen corruption when changing resolution via randr

* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-1mdv2007.1
+ Revision: 89705
- new release
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - new upstream release (1.2.1):
      *  Don't call VBEGetSetDACPaletteFormat when in direct colour or YUV modes.
    - new upstream release (1.2.0):
      * Fix ShadowFB support to work with recent miext/shadow changes
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

